Skip to main content
GET
/
api
/
parent_agents
/
{parent_agent_id}
/
state_function
/
context_variables
Get Parent Agent State Function Context Variables
curl --request GET \
  --url https://app.maadify.com/api/parent_agents/{parent_agent_id}/state_function/context_variables \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.maadify.com/api/parent_agents/{parent_agent_id}/state_function/context_variables"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.maadify.com/api/parent_agents/{parent_agent_id}/state_function/context_variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "context_variables": [
      {
        "key": "<string>",
        "tool_key": "<string>",
        "tool_name": "<string>",
        "display_name": "<string>",
        "tool_id": "<string>",
        "source_type": "<string>",
        "variables": [
          {
            "full_var": "<string>",
            "insert_value": "<string>",
            "path": "",
            "type": "any",
            "description": ""
          }
        ],
        "output_schema": {}
      }
    ]
  },
  "error_type": "<string>",
  "error_message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

parent_agent_id
integer
required

Response

Successful Response

success
boolean
required

Whether the request was successful.

data
StateFunctionContextVariablesData · object
required

Parent agent state-function context variables.

error_type
string | null

Type of error if the request failed.

error_message
string | null

Error message or informational message.